Shell-tools: Difference between revisions
Jump to navigation
Jump to search
(→Tools) |
|||
Line 6: | Line 6: | ||
A collection of ready-to-use command line tools. Includes <tt>searchjar</tt>, <tt>setw</tt>/<tt>cdw</tt>, <tt>lims</tt>, etc. Can be used both on Linux and Cygwin systems. | A collection of ready-to-use command line tools. Includes <tt>searchjar</tt>, <tt>setw</tt>/<tt>cdw</tt>, <tt>lims</tt>, etc. Can be used both on Linux and Cygwin systems. | ||
=Configure a Script to Use the Libraries= | |||
<syntaxhighlight lang='bash'> | |||
#!/usr/bin/env bash | |||
[[ -z "${SHLIB_DIR}" ]] && { echo "[error]: SHLIB_DIR not defined" 1>&2; exit 1; } | |||
[[ -f ${SHLIB_DIR}/std.shlib ]] && . ${SHLIB_DIR}/std.shlib || { echo "[error]: ${SHLIB_DIR}/std.shlib not found" 1>&2; exit 1; } | |||
</syntaxhighlight> | |||
=std.shlib= | =std.shlib= |
Revision as of 18:05, 5 February 2019
Internal
Overview
A collection of ready-to-use command line tools. Includes searchjar, setw/cdw, lims, etc. Can be used both on Linux and Cygwin systems.
Configure a Script to Use the Libraries
#!/usr/bin/env bash
[[ -z "${SHLIB_DIR}" ]] && { echo "[error]: SHLIB_DIR not defined" 1>&2; exit 1; }
[[ -f ${SHLIB_DIR}/std.shlib ]] && . ${SHLIB_DIR}/std.shlib || { echo "[error]: ${SHLIB_DIR}/std.shlib not found" 1>&2; exit 1; }
std.shlib
TODO
On 04/04/16 a standalone std.shlib project was created. At that time, em contained its own version of std.shlib. Must migrate em to use the separated one. See std.shlib.
GitHub
To clone:
git clone git@github.com:NovaOrdis/shell-tools.git
Tools
- cdw/getw
- searchjar
- rename-intellij
- lims
- mac-setup
Installation
cd ~/bin git clone git@github.com:NovaOrdis/shell-tools.git
Alternatively, read only access is available for an arbitrary Git account:
git clone https://<git-account>@github.com/NovaOrdis/shell-tools.git
Then edit ~/.bashrc as follows:
...
#
# shell-tools
#
alias cdw='. cdwi'
export PATH=~/bin/shell-tools:${PATH}